Subject: Re: Git checkout multiple options issue

From: Kevin Daudt <[email-masked]>
Date: Mon, 28 Jan 2019 17:55:15 +0100

On Mon, Jan 28, 2019 at 10:20:02AM -0500, Randall S. Becker wrote:
> On January 28, 2019 9:25, COLLOMB Joris wrote:
> > -----Message d'origine-----
> >> De : Randall S. Becker <[email-masked]> Envoyé : lundi 28 janvier
> >> 2019 15:12 À : COLLOMB Joris -EXT <[email-masked]>;
> >> [email-masked] Objet : RE: Git checkout multiple options issue
> >> 
> >> On January 28, 2019 8:25, COLLOMB Joris wrote:
> >> > git checkout -fb "branch_name"
> >> > (force branch creation and checkout it)
> >> >
> >> > doesn't work (even if option a separated).
> >> >
> >> > I don't know if this is consider as an issue, but here it is.
> >> 
> >> I think you might mean (which works on every platform I have):
> >> 
> >> git checkout -f -b "branch_name"
> >> 
> >> There is no provision for aggregating options into one. -fb (invalid) is
> not the
> >> same as -f -b (valid).
> 
> > git checkout -f -b "branch_name"
> > gives me " Fatal: A branch named 'branch_name' already exists."
> 
> Once the branch is created, you can't force its creation, because it is
> already created. Just
> 
> git checkout "branch_name"
> 
> is sufficient at this point. git is correct to complain that you are trying
> to create a branch that already exists.

git checkout -B exists, which does exactly that: force create a branch
at a new positon if it already exists.

Kind regards, Kevin